## org.gnu.gtk.event
Class ComboBoxEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ComboBoxEvent

All Implemented Interfaces:
  java.io.Serializable

public class ComboBoxEvent
extends GtkEvent

This event is used to identify when a ComboBox receives an event

See Also:
  `ComboBoxListener`, Serialized Form

Nested Class Summary
`static class` `ComboBoxEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ComboBoxEvent(java.lang.Object source, EventType type)` Constructor for ComboBoxEvent.

Method Summary
`boolean` `isOfType(ComboBoxEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComboBoxEvent

    public ComboBoxEvent(java.lang.Object source,
                         EventType type)

  Constructor for ComboBoxEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(ComboBoxEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.